eID middleware |

# eIDMW::PTEID_ExParamRange Class Reference

Exception class Bad Parameter Range (error code = EIDMW_ERR_PARAM_RANGE). More...

`#include <eidlibException.h>`

Inheritance diagram for eIDMW::PTEID_ExParamRange:

List of all members.

## Public Member Functions
PTEIDSDK_API | PTEID_ExParamRange ()
| Constructor.
virtual PTEIDSDK_API | ~PTEID_ExParamRange ()
| Destructor.

## Detailed Description

Exception class Bad Parameter Range (error code = EIDMW_ERR_PARAM_RANGE).

Throw when the element ask is out of range Used in : - PTEID_ReaderSet::getReaderName(unsigned long ulIndex)

- PTEID_ReaderSet::getReaderByNum(unsigned long ulIndex)
- PTEID_Certificate::getChildren(unsigned long ulIndex)
- PTEID_Certificates::getCertByNumber(unsigned long ulIndex)
- PTEID_Pins::getPinByNumber(unsigned long ulIndex)

## Constructor & Destructor Documentation

PTEIDSDK_API eIDMW::PTEID_ExParamRange::PTEID_ExParamRange | ( |  | ) |

Constructor.

virtual PTEIDSDK_API eIDMW::PTEID_ExParamRange::~PTEID_ExParamRange | ( |  | ) | `[virtual]`

Destructor.

The documentation for this class was generated from the following file:

- eidlibException.h